# Importer le module QGIS
from qgis.core import QgsProject


# Définir la valeur de l'attribut "scale" à filtrer
valeur_echelle = 50000

# Obtenir le projet actif
projet = QgsProject.instance()

# Obtenir la liste des couches chargées dans le projet
couches = projet.mapLayers().values()

# Parcourir toutes les couches
for couche in couches:
    # Vérifier si la couche a un champ nommé "scale"
    if couche.fields().indexFromName('scale') != -1:
        # Définir le filtre sur l'attribut "scale" égal à 50000
        filtre = f'"scale" = {valeur_echelle}'
        couche.setSubsetString(filtre)
        print(f"Filre défini pour la couche {couche.name()}")
    else:
        print(f"La couche {couche.name()} n'a pas d'attribut 'scale'")
